import lvgl as lv
import display_driver_utils
import time
drv = display_driver_utils.driver(width=1024, height=768)

color = "red"
count = 1

def send():
    global count, color
    print(color + " " + str(int(count)))

def event_handler(e):
    global color
    code = e.get_code()
    obj = e.get_target()
    if code == lv.EVENT.VALUE_CHANGED:
        option = " "*10
        obj.get_selected_str(option, len(option))
        color = option.strip()
        send()
        print("Color: " + color)

roller1 = lv.roller(lv.scr_act())
roller1.set_options("\n".join([
    "red",
    "green",
    "blue"]),lv.roller.MODE.INFINITE)
roller1.set_width(300)
roller1.set_visible_row_count(3)
roller1.align(lv.ALIGN.CENTER,0,-50)
roller1.add_event_cb(event_handler, lv.EVENT.ALL, None)

def slider_event_cb(e):
    global count
    slider = e.get_target()
    slider_label.set_text("{:d}%".format(slider.get_value()))
    slider_label.align_to(slider, lv.ALIGN.OUT_BOTTOM_MID, 0, 10)
    count = int(slider.get_value() / 6)
    send()

# Create a slider in the center of the display
slider = lv.slider(lv.scr_act())
slider.align(lv.ALIGN.CENTER,0,50)
slider.add_event_cb(slider_event_cb, lv.EVENT.VALUE_CHANGED, None)

# Create a label below the slider
slider_label = lv.label(lv.scr_act())
slider_label.set_text("0%")
slider_label.align_to(slider, lv.ALIGN.OUT_BOTTOM_MID, 0, 10)


while True:
    time.sleep_ms(1)
